Package fr.gouv.vitam.processing.management.rest

# Class ProcessManagementResource

java.lang.Object
fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource
fr.gouv.vitam.processing.management.rest.ProcessManagementResource

@Path("/processing/v1") @ApplicationPath("webresources") public class ProcessManagementResource extends ApplicationStatusResource

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `STATUS_URL, TENANTS_URL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessManagementResource(ServerConfiguration configuration, ProcessDistributor processDistributor)`
  ProcessManagementResource : initiate the ProcessManagementResource resources

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `cancelOperationProcessExecution(String id, boolean force)`
  Interrupt the process of an operation identified by Id.
  `jakarta.ws.rs.core.Response`
  `executeWorkFlow(jakarta.ws.rs.core.HttpHeaders headers, String id, ProcessingEntry process)`
  Execute the process of an operation related to the id.
  `jakarta.ws.rs.core.Response`
  `findProcessWorkflow(ProcessQuery query)`
  get the process workflow
  `jakarta.ws.rs.core.Response`
  `forcePause(ProcessPause info)`
  Pause the processes specified by ProcessPause info
  `jakarta.ws.rs.core.Response`
  `getOperationProcessExecutionDetails(String id)`
  get the workflow status
  `ProcessLifeCycle`
  `getProcessLifeCycle()`
  `jakarta.ws.rs.core.Response`
  `getWorkflowDefinitions()`
  `jakarta.ws.rs.core.Response`
  `getWorkflowDetails(String workfowId)`
  `jakarta.ws.rs.core.Response`
  `getWorkFlowState(String id)`
  get the operation status
  `jakarta.ws.rs.core.Response`
  `removeForcePause(ProcessPause info)`
  Remove the pause for the processes specified by ProcessPause info
  `jakarta.ws.rs.core.Response`
  `updateWorkFlowStatus(jakarta.ws.rs.core.HttpHeaders headers, String id)`
  Update the status of an operation.

  ### Methods inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `getServerTenants, status`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessManagementResource

    public ProcessManagementResource(ServerConfiguration configuration, ProcessDistributor processDistributor)
    ProcessManagementResource : initiate the ProcessManagementResource resources
    Parameters:
      `configuration` - the server configuration to be applied

- ## Method Details

  - ### getProcessLifeCycle

    public ProcessLifeCycle getProcessLifeCycle()

  - ### getWorkflowDefinitions

    @Path("workflows") @GET @Produces("application/json") public jakarta.ws.rs.core.Response getWorkflowDefinitions()

  - ### getWorkflowDetails

    @Path("workflows/{workfowId}") @GET @Produces("application/json") public jakarta.ws.rs.core.Response getWorkflowDetails(@PathParam("workfowId") String workfowId)

  - ### executeWorkFlow

    @Path("operations/{id}") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response executeWorkFlow(@Context jakarta.ws.rs.core.HttpHeaders headers, @PathParam("id") String id, ProcessingEntry process)
    Execute the process of an operation related to the id.
    Parameters:
      `headers` - contain X-Action and X-Context-ID
      `id` - operation identifier
      `process` - as Json of type ProcessingEntry, indicate the container and workflowId
    Throws:
      `ProcessingException` - if error in start a workflow

  - ### getOperationProcessExecutionDetails

    @Path("operations/{id}") @GET @Produces("application/json") public jakarta.ws.rs.core.Response getOperationProcessExecutionDetails(@PathParam("id") String id)
    get the workflow status
    Parameters:
      `id` - operation identifier
    Returns:
      http response

  - ### updateWorkFlowStatus

    @Path("operations/{id}") @PUT @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response updateWorkFlowStatus(@Context jakarta.ws.rs.core.HttpHeaders headers, @PathParam("id") String id)
    Update the status of an operation.
    Parameters:
      `headers` - contain X-Action and X-Context-ID
      `id` - operation identifier

  - ### cancelOperationProcessExecution

    @Path("operations/{id}") @DELETE @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response cancelOperationProcessExecution(@PathParam("id") String id, @HeaderParam("X-Force") boolean force)
    Interrupt the process of an operation identified by Id.
    Parameters:
      `id` - operation identifier

  - ### getWorkFlowState

    @Path("operations/{id}") @HEAD @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response getWorkFlowState(@PathParam("id") String id)
    get the operation status
    Parameters:
      `id` - operation identifier
    Returns:
      http response

  - ### findProcessWorkflow

    @GET @Path("/operations") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response findProcessWorkflow(ProcessQuery query)
    get the process workflow
    Parameters:
      `query` - the filter query
    Returns:
      the workflow in response

  - ### forcePause

    @Path("/forcepause") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response forcePause(ProcessPause info)
    Pause the processes specified by ProcessPause info
    Parameters:
      `info` - a ProcessPause object indicating the tenant and/or the type of process to pause
    Returns:

  - ### removeForcePause

    @Path("/removeforcepause") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response removeForcePause(ProcessPause info)
    Remove the pause for the processes specified by ProcessPause info
    Parameters:
      `info` - a ProcessPause object indicating the tenant and/or the type of process to pause
    Returns: